> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/core-api-reference/price_lists.md).

# Price lists

The price list object and the allowed CRUD operations on the related resource endpoint

Price lists determine the SKU [prices](/core-api-reference/prices.md) and their currency within a [market](/core-api-reference/markets.md). By default, taxes are included in the prices associated with a price list. If you want to override this setup, set the `tax_included` attribute to `false`.

A price list can be associated with different [price list schedulers](/core-api-reference/price_list_schedulers.md). When one of those price list schedulers is associated with a market, its price list temporarily overrides the market's original one, letting you change a subset of prices within a specific time window (e.g. seasonal sales).

You can define a custom alphanumeric (case-sensitive) `code` for your price lists, provided that it's unique across the environment (it can contain underscore and hyphens, spaces are not allowed, the maximum length is **25** characters).

## Price rules

By filling up the `rules` object of a price list, you can set up a price rule thanks to our [Rules Engine integration](/rules-engine/core-api-integration/price-rules.md) with Commerce Layer Core API. Adding one or more price rules to a price list will result in applying the discounts due to the rule actions to all the price list's prices that satisfy the related rule conditions.

<details>

<summary>How-to</summary>

Please refer to the [Rules Engine documentation](https://docs.commercelayer.io/rules-engine/) to learn more about how to set up promotional [rules](/rules-engine/rules.md), define [conditions](/rules-engine/conditions.md) and [actions](/rules-engine/actions.md), browse the most common [use cases](/rules-engine/use-cases/price-lists.md), and more.

</details>

{% hint style="danger" %}
Price rules, together with the Rules Engine integration, are still in **beta** and available only to our enterprise customers. If you're one of them and want to test and leverage its functionalities reach out to us and request to be part of the beta program.
{% endhint %}

<details>

<summary>Data model</summary>

Check the related [ER diagram](/data-model/pricing-and-markets/price-lists-and-currencies.md) and explore the flowchart that illustrates how the price list resource relates to the other API entities.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.commercelayer.io/core-api-reference/price_lists.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
